package com.bonus.core.order.client.po;

import java.time.LocalTime;

public class MealtimeQueryParam extends MetaDataQueryBaseParam {
   private LocalTime assignTime;
   private Integer mealtimeType;

   public static MealtimeQueryParam of(Long canteenId, Long stallId) {
      MealtimeQueryParam param = new MealtimeQueryParam();
      param.setCanteenId(canteenId);
      param.setStallId(stallId);
      return param;
   }

   public static MealtimeQueryParam ofAssignTime(LocalTime assignTime, Long canteenId, Long stallId) {
      MealtimeQueryParam param = of(canteenId, stallId);
      param.setAssignTime(assignTime);
      return param;
   }

   public static MealtimeQueryParam ofMealtimeType(Integer mealtimeType, Long canteenId, Long stallId) {
      MealtimeQueryParam param = of(canteenId, stallId);
      param.setMealtimeType(mealtimeType);
      return param;
   }

   public LocalTime getAssignTime() {
      return this.assignTime;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public void setAssignTime(final LocalTime assignTime) {
      this.assignTime = assignTime;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

}
